Skip to main content
GET
/
v1
/
trading-accounts
/
{trading_account_id}
/
credentials
/
{credential_id}
Get a broker credential
curl --request GET \
  --url https://api.anthid.com/v1/trading-accounts/{trading_account_id}/credentials/{credential_id}
{
  "created_at": "2023-11-07T05:31:56Z",
  "enabled": true,
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "trading_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "vault_object": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.anthid.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

trading_account_id
string<uuid>
required

Trading account id that owns the credential

credential_id
string<uuid>
required

Broker credential id to fetch

Response

Credential retrieved

created_at
string<date-time>
required
enabled
boolean
required
id
string<uuid>
required
trading_account_id
string<uuid>
required
updated_at
string<date-time>
required
vault_object
string
required